Package htsjdk.variant.bcf2

# Class BCF2Codec.LazyData

java.lang.Object
htsjdk.variant.bcf2.BCF2Codec.LazyData

Enclosing class:
  `BCF2Codec`

public static class BCF2Codec.LazyData extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final byte[]`
`bytes`
`final VCFHeader`
`header`
`final int`
`nGenotypeFields`

## Constructor Summary

Constructors
Constructor
Description
`LazyData(VCFHeader header, int nGenotypeFields, byte[] bytes)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### header

public final VCFHeader header

### nGenotypeFields

public final int nGenotypeFields

### bytes

public final byte[] bytes

## Constructor Details

### LazyData

public LazyData(VCFHeader header, int nGenotypeFields, byte[] bytes)